Bug 960401 - Review Request: xssstate - A simple tool to retrieve the X screen saver state
Summary: Review Request: xssstate - A simple tool to retrieve the X screen saver state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-07 07:31 UTC by Petr Šabata
Modified: 2014-04-03 12:42 UTC (History)
3 users (show)

Fixed In Version: xssstate-1.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-03 12:42:15 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2013-05-07 07:31:30 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/xssstate/xssstate.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/xssstate/xssstate-1.0-1.fc18.src.rpm
Description:
A simple tool to retrieve the X screensaver state.
Fedora Account System Username: psabata

Comment 1 Petr Pisar 2013-05-07 11:03:13 UTC
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: e5b60a6e48133944ef6f3c2e0b7bd40e0d84d2d97ed9790c85c382bc1998bf04). Ok.
License is Ok.
Summary and description is good.

TODO: There are two bugs in the source:

 printf("%ld\n", info->til_or_since);
 printf("%ld\n", info->idle);

Both variables are of type unsigned long, but the formatting strings are %ld. See <X11/extensions/scrnsaver.h> for XScreenSaverInfo type definitions.

$ rpmlint xssstate.spec ../SRPMS/xssstate-1.0-1.fc20.src.rpm ../RPMS/x86_64/xssstate-*
xssstate.src: W: spelling-error Summary(en_US) screensaver -> screen saver, screen-saver, screens aver
xssstate.src: W: spelling-error %description -l en_US screensaver -> screen saver, screen-saver, screens aver
xssstate.x86_64: W: spelling-error Summary(en_US) screensaver -> screen saver, screen-saver, screens aver
xssstate.x86_64: W: spelling-error %description -l en_US screensaver -> screen saver, screen-saver, screens aver
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

TODO: Consider spelling `screensaver' with a hyphen or a space.

$ rpm -q -lv -p  ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm
-rwxr-xr-x    1 root    root                    11368 May  7 12:49 /usr/bin/xssstate
drwxr-xr-x    2 root    root                        0 May  7 12:49 /usr/share/doc/xssstate-1.0
-rw-r--r--    1 root    root                     1138 Feb  1 13:10 /usr/share/doc/xssstate-1.0/LICENSE
-rw-r--r--    1 root    root                      784 Feb  1 13:10 /usr/share/doc/xssstate-1.0/README
-rwxr-xr-x    1 root    root                      360 Feb  1 13:10 /usr/share/doc/xssstate-1.0/xsidle.sh
-rw-r--r--    1 root    root                      443 May  7 12:49 /usr/share/man/man1/xssstate.1.gz
File layout and permissions are Ok.

$ rpm -q --requires -p  ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm | sort 
/bin/sh
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libX11.so.6()(64bit)
libXss.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)

FIX: Do not scan documentation for dependencies (/bin/sh).

$ rpm -q --provides -p ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm | sort 
xssstate = 1.0-1.fc20
xssstate(x86-64) = 1.0-1.fc20
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F20 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5338920). Ok.

Otherwise the package is line with Fedora packaging guidelines.

Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.

Resolution: Package NOT approved.

Comment 2 Petr Šabata 2013-05-07 14:19:51 UTC
(In reply to comment #1)
> URL and Source0 are usable. Ok.
> Source tar ball is original (SHA-256:
> e5b60a6e48133944ef6f3c2e0b7bd40e0d84d2d97ed9790c85c382bc1998bf04). Ok.
> License is Ok.
> Summary and description is good.
> 
> TODO: There are two bugs in the source:
> 
>  printf("%ld\n", info->til_or_since);
>  printf("%ld\n", info->idle);
> 
> Both variables are of type unsigned long, but the formatting strings are
> %ld. See <X11/extensions/scrnsaver.h> for XScreenSaverInfo type definitions.

Patched to %lu and submitted upstream.

> $ rpmlint xssstate.spec ../SRPMS/xssstate-1.0-1.fc20.src.rpm
> ../RPMS/x86_64/xssstate-*
> xssstate.src: W: spelling-error Summary(en_US) screensaver -> screen saver,
> screen-saver, screens aver
> xssstate.src: W: spelling-error %description -l en_US screensaver -> screen
> saver, screen-saver, screens aver
> xssstate.x86_64: W: spelling-error Summary(en_US) screensaver -> screen
> saver, screen-saver, screens aver
> xssstate.x86_64: W: spelling-error %description -l en_US screensaver ->
> screen saver, screen-saver, screens aver
> 3 packages and 1 specfiles checked; 0 errors, 4 warnings.
> 
> TODO: Consider spelling `screensaver' with a hyphen or a space.

Switched to "screen saver" to be in line with other packages (e.g. xscreensaver).

> $ rpm -q -lv -p  ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm
> -rwxr-xr-x    1 root    root                    11368 May  7 12:49
> /usr/bin/xssstate
> drwxr-xr-x    2 root    root                        0 May  7 12:49
> /usr/share/doc/xssstate-1.0
> -rw-r--r--    1 root    root                     1138 Feb  1 13:10
> /usr/share/doc/xssstate-1.0/LICENSE
> -rw-r--r--    1 root    root                      784 Feb  1 13:10
> /usr/share/doc/xssstate-1.0/README
> -rwxr-xr-x    1 root    root                      360 Feb  1 13:10
> /usr/share/doc/xssstate-1.0/xsidle.sh
> -rw-r--r--    1 root    root                      443 May  7 12:49
> /usr/share/man/man1/xssstate.1.gz
> File layout and permissions are Ok.
> 
> $ rpm -q --requires -p  ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm | sort 
> /bin/sh
> libc.so.6()(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit)
> libc.so.6(GLIBC_2.3.4)(64bit)
> libX11.so.6()(64bit)
> libXss.so.1()(64bit)
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(FileDigests) <= 4.6.0-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rpmlib(PayloadIsXz) <= 5.2-1
> rtld(GNU_HASH)
> 
> FIX: Do not scan documentation for dependencies (/bin/sh).

Done.

> $ rpm -q --provides -p ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm | sort 
> xssstate = 1.0-1.fc20
> xssstate(x86-64) = 1.0-1.fc20
> Binary provides are Ok.
> 
> $ resolvedeps rawhide ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm 
> Binary dependencies resolvable. Ok.
> 
> Package builds in F20
> (http://koji.fedoraproject.org/koji/taskinfo?taskID=5338920). Ok.
> 
> Otherwise the package is line with Fedora packaging guidelines.
> 
> Please correct all `FIX' issues, consider fixing `TODO' items, and provide
> new spec file.
> 
> Resolution: Package NOT approved.

The original links now point to the updated package.

Comment 3 Petr Pisar 2013-05-07 15:18:33 UTC
Spec file changes:

--- xssstate.spec.old   2013-05-07 09:30:04.000000000 +0200
+++ xssstate.spec       2013-05-07 17:03:43.373000000 +0200
@@ -1,10 +1,11 @@
 Name:          xssstate
 Version:       1.0
 Release:       1%{?dist}
-Summary:       A simple tool to retrieve the X screensaver state
+Summary:       A simple tool to retrieve the X screen saver state
 License:       MIT
 URL:           http://tools.suckless.org/%{name}
 Source0:       http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
+Patch0:        %{name}-1.0-format.patch
 BuildRequires: libXScrnSaver-devel

 %description
@@ -12,11 +13,13 @@

 %prep
 %setup -q
+%patch0 -p1
 sed -e 's|PREFIX = /usr/local|PREFIX = %{_prefix}|' \
     -e 's|LIBS = -L/usr/lib -lc -lX11 -lXss|LIBS = -L%{_libdir} -lc -lX11 -lXss|' \
     -e 's|CFLAGS = -g -std=c99 -pedantic -Wall -O0 ${INCS} ${CPPFLAGS}|CFLAGS = %{optflags} ${INCS} ${CPPFLAGS}|' \
    -i config.mk
 sed -i 's|^\t@|\t|' Makefile
+chmod -x xsidle.sh

 %build
 make %{?_smp_mflags}


> TODO: There are two bugs in the source:
+Patch0:        %{name}-1.0-format.patch
And I saw that the patch was good. Ok.

> TODO: Consider spelling `screensaver' with a hyphen or a space.
-Summary:       A simple tool to retrieve the X screensaver state
+Summary:       A simple tool to retrieve the X screen saver state
Ok.

> FIX: Do not scan documentation for dependencies (/bin/sh).
+chmod -x xsidle.sh
Ok.

$ rpmlint xssstate.spec ../SRPMS/xssstate-1.0-1.fc20.src.rpm ../RPMS/x86_64/xssstate-*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p  ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm
-rwxr-xr-x    1 root    root                    11368 May  7 17:08 /usr/bin/xssstate
drwxr-xr-x    2 root    root                        0 May  7 17:08 /usr/share/doc/xssstate-1.0
-rw-r--r--    1 root    root                     1138 Feb  1 13:10 /usr/share/doc/xssstate-1.0/LICENSE
-rw-r--r--    1 root    root                      784 Feb  1 13:10 /usr/share/doc/xssstate-1.0/README
-rw-r--r--    1 root    root                      360 Feb  1 13:10 /usr/share/doc/xssstate-1.0/xsidle.sh
-rw-r--r--    1 root    root                      443 May  7 17:08 /usr/share/man/man1/xssstate.1.gz
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/xssstate-1.0-1.fc20.x86_64.rpm | sort
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libX11.so.6()(64bit)
libXss.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
Binary requires are Ok.

Package builds in F20 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5340105). Ok.

Package is good.

Resolution: Package APPROVED.

Comment 4 Petr Šabata 2013-05-07 15:53:09 UTC
Thank you.
FYI, patch is upstream now.

Comment 5 Petr Šabata 2013-05-07 15:54:00 UTC
New Package SCM Request
=======================
Package Name: xssstate
Short Description: A simple tool to retrieve the X screen saver state
Owners: psabata
Branches: f17 f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-05-07 16:14:26 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-05-09 09:23:40 UTC
xssstate-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xssstate-1.1-1.fc19

Comment 8 Fedora Update System 2013-05-09 09:27:47 UTC
xssstate-1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xssstate-1.1-1.fc18

Comment 9 Fedora Update System 2013-05-09 09:28:11 UTC
xssstate-1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xssstate-1.1-1.fc17

Comment 10 Petr Šabata 2013-05-09 09:36:47 UTC
Thank you, Jon.

Comment 11 Fedora Update System 2013-05-14 04:39:08 UTC
xssstate-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-05-19 02:35:05 UTC
xssstate-1.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-05-19 02:41:50 UTC
xssstate-1.1-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.